.space-x-1>:not([hidden])~:not([hidden]) {
  --tw-space-x-reverse: 0;
  margin-right: calc(0.25rem * var(--tw-space-x-reverse));
  margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)))
}

.space-y-10>:not([hidden])~:not([hidden]) {
  --tw-space-y-reverse: 0;
  margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(2.5rem * var(--tw-space-y-reverse))
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0
}

.focus\:not-sr-only:focus {
  position: static;
  width: auto;
  height: auto;
  padding: 0;
  margin: 0;
  overflow: visible;
  clip: auto;
  white-space: normal
}

/*
 * Background
 */

.bg-transparent {
  background-color: transparent
}

.bg-black {
  --tw-bg-opacity: 1;
  background-color: rgba(0, 0, 0, var(--tw-bg-opacity))
}

.bg-white {
  --tw-bg-opacity: 1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity))
}

.bg-gray-50 {
  --tw-bg-opacity: 1;
  background-color: rgba(249, 250, 251, var(--tw-bg-opacity))
}

.bg-gray-100 {
  --tw-bg-opacity: 1;
  background-color: rgba(243, 244, 246, var(--tw-bg-opacity))
}

.bg-gray-200 {
  --tw-bg-opacity: 1;
  background-color: rgba(229, 231, 235, var(--tw-bg-opacity))
}

.bg-gray-900 {
  --tw-bg-opacity: 1;
  background-color: rgba(17, 24, 39, var(--tw-bg-opacity))
}

.hover\:bg-gray-50:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(249, 250, 251, var(--tw-bg-opacity))
}

.hover\:bg-gray-100:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(243, 244, 246, var(--tw-bg-opacity))
}

.focus\:bg-gray-50:focus {
  --tw-bg-opacity: 1;
  background-color: rgba(249, 250, 251, var(--tw-bg-opacity))
}

.active\:bg-gray-100:active {
  --tw-bg-opacity: 1;
  background-color: rgba(243, 244, 246, var(--tw-bg-opacity))
}

.active\:bg-gray-200:active {
  --tw-bg-opacity: 1;
  background-color: rgba(229, 231, 235, var(--tw-bg-opacity))
}

.bg-gradient-to-b {
  background-image: linear-gradient(to bottom, var(--tw-gradient-stops))
}

.from-gray-50 {
  --tw-gradient-from: #f9fafb;
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to, rgba(249, 250, 251, 0))
}

.bg-opacity-25 {
  --tw-bg-opacity: 0.25
}

.bg-center {
  background-position: 50%
}

.bg-cover {
  background-size: cover
}

.border-gray-400 {
  --tw-border-opacity: 1;
  border-color: rgba(156, 163, 175, var(--tw-border-opacity))
}

.border-gray-800 {
  --tw-border-opacity: 1;
  border-color: rgba(31, 41, 55, var(--tw-border-opacity))
}

.hover\:border-gray-500:hover {
  --tw-border-opacity: 1;
  border-color: rgba(107, 114, 128, var(--tw-border-opacity))
}

/*
 * Border
 */

.rounded {
  border-radius: .25rem
}

.rounded-full {
  border-radius: 9999px
}

.border {
  border-width: 1px
}

.border-t {
  border-top-width: 1px
}

.border-b {
  border-bottom-width: 1px
}

/*
 * Layout
 */

.box-border {
  box-sizing: border-box
}

.block {
  display: block
}

.inline-block {
  display: inline-block
}

.flex {
  display: flex
}

.inline-flex {
  display: inline-flex
}

.table {
  display: table
}

.grid {
  display: grid
}

.hidden {
  display: none
}

.flex-col {
  flex-direction: column
}

.flex-col-reverse {
  flex-direction: column-reverse
}

.flex-wrap {
  flex-wrap: wrap
}

.items-center {
  align-items: center
}

.items-baseline {
  align-items: baseline
}

.justify-center {
  justify-content: center
}

.justify-between {
  justify-content: space-between
}

.flex-1 {
  flex: 1 1 0%
}

.flex-auto {
  flex: 1 1 auto
}

.flex-grow {
  flex-grow: 1
}

.flex-shrink-0 {
  flex-shrink: 0
}

.order-first {
  order: -9999
}

.font-bold {
  font-weight: 700
}

/*
 * Height
 */

.h-0 {
  height: 0
}

.h-4 {
  height: 1rem
}

.h-5 {
  height: 1.25rem
}

.h-6 {
  height: 1.5rem
}

.h-8 {
  height: 2rem
}

.h-12 {
  height: 3rem
}

.h-20 {
  height: 5rem
}

.h-40 {
  height: 10rem
}

.h-full {
  height: 100%
}

.max-h-screen {
  max-height: 100vh
}

.max-w-sm {
  max-width: 24rem
}

.max-w-screen-xl {
  max-width: 80rem
}

.max-w-8xl {
  max-width: 90rem
}

.max-w-screen {
  max-width: 100vw
}

.min-h-12 {
  min-height: 3rem
}

.min-h-screen {
  min-height: 100vh
}

.min-w-0 {
  min-width: 0
}

.min-w-72 {
  min-width: 18rem
}

/*
 * Text
 */

.text-xs {
  font-size: .75rem;
  line-height: 1rem
}

.text-sm {
  font-size: .875rem;
  line-height: 1.25rem
}

.text-base {
  font-size: 1rem;
  line-height: 1.5rem
}

.text-lg {
  font-size: 1.125rem;
  line-height: 1.75rem
}

.text-xl {
  font-size: 1.25rem;
  line-height: 1.75rem
}

.text-2xl {
  font-size: 1.5rem;
  line-height: 2rem
}

.text-6xl {
  font-size: 3.75rem;
  line-height: 1
}

/*
 * Margin
 */

.m-0 {
  margin: 0
}

.my-2 {
  margin-top: .5rem;
  margin-bottom: .5rem
}

.my-3 {
  margin-top: .75rem;
  margin-bottom: .75rem
}

.my-6 {
  margin-top: 1.5rem;
  margin-bottom: 1.5rem
}

.my-8 {
  margin-top: 2rem;
  margin-bottom: 2rem
}

.my-12 {
  margin-top: 3rem;
  margin-bottom: 3rem
}

.mx-auto {
  margin-left: auto;
  margin-right: auto
}

.-mx-4 {
  margin-left: -1rem;
  margin-right: -1rem
}

.mb-0 {
  margin-bottom: 0
}

.ml-0 {
  margin-left: 0
}

.mr-1 {
  margin-right: .25rem
}

.mb-1 {
  margin-bottom: .25rem
}

.ml-1 {
  margin-left: .25rem
}

.mt-2 {
  margin-top: .5rem
}

.mr-2 {
  margin-right: .5rem
}

.mb-2 {
  margin-bottom: .5rem
}

.ml-2 {
  margin-left: .5rem
}

.mr-3 {
  margin-right: .75rem
}

.mb-3 {
  margin-bottom: .75rem
}

.ml-3 {
  margin-left: .75rem
}

.mt-4 {
  margin-top: 1rem
}

.mb-4 {
  margin-bottom: 1rem
}

.mb-6 {
  margin-bottom: 1.5rem
}

.mt-8 {
  margin-top: 2rem
}

.mb-8 {
  margin-bottom: 2rem
}

.mr-10 {
  margin-right: 2.5rem
}

.mt-20 {
  margin-top: 5rem
}

.ml-20 {
  margin-left: 5rem
}

.ml-px {
  margin-left: 1px
}

.-mt-1 {
  margin-top: -.25rem
}

.-mb-4 {
  margin-bottom: -1rem
}

.-mt-8 {
  margin-top: -2rem
}

.-mb-8 {
  margin-bottom: -2rem
}

.-mt-px {
  margin-top: -1px
}

.object-cover {
  -o-object-fit: cover;
  object-fit: cover
}

.opacity-0 {
  opacity: 0
}

.outline-none {
  outline: 2px solid transparent;
  outline-offset: 2px
}

.focus\:outline-none:focus {
  outline: 2px solid transparent;
  outline-offset: 2px
}

.overflow-y-auto {
  overflow-y: auto
}

.overflow-y-hidden {
  overflow-y: hidden
}

/*
 * Padding
 */

.p-4 {
  padding: 1rem
}

.p-8 {
  padding: 2rem
}

.py-2 {
  padding-top: .5rem;
  padding-bottom: .5rem
}

.py-3 {
  padding-top: .75rem;
  padding-bottom: .75rem
}

.px-3 {
  padding-left: .75rem;
  padding-right: .75rem
}

.px-4 {
  padding-left: 1rem;
  padding-right: 1rem
}

.py-5 {
  padding-top: 1.25rem;
  padding-bottom: 1.25rem
}

.py-6 {
  padding-top: 1.5rem;
  padding-bottom: 1.5rem
}

.py-8 {
  padding-top: 2rem;
  padding-bottom: 2rem
}

.px-8 {
  padding-left: 2rem;
  padding-right: 2rem
}

.py-12 {
  padding-top: 3rem;
  padding-bottom: 3rem
}

.pt-0 {
  padding-top: 0
}

.pb-0 {
  padding-bottom: 0
}

.pt-1 {
  padding-top: .25rem
}

.pb-1 {
  padding-bottom: .25rem
}

.pt-2 {
  padding-top: .5rem
}

.pr-3 {
  padding-right: .75rem
}

.pl-3 {
  padding-left: .75rem
}

.pr-4 {
  padding-right: 1rem
}

.pb-4 {
  padding-bottom: 1rem
}

.pb-6 {
  padding-bottom: 1.5rem
}

.pb-10 {
  padding-bottom: 2.5rem
}

.pt-12 {
  padding-top: 3rem
}

.pb-12 {
  padding-bottom: 3rem
}

.pt-20 {
  padding-top: 5rem
}

.pt-px {
  padding-top: 1px
}

.pb-px {
  padding-bottom: 1px
}

.pb-2\/3 {
  padding-bottom: 66.666667%
}

.focus\:pl-12:focus {
  padding-left: 3rem
}

.placeholder-transparent::-moz-placeholder {
  color: transparent
}

.placeholder-transparent:-ms-input-placeholder {
  color: transparent
}

.placeholder-transparent::placeholder {
  color: transparent
}

.focus\:placeholder-gray-900:focus::-moz-placeholder {
  --tw-placeholder-opacity: 1;
  color: rgba(17, 24, 39, var(--tw-placeholder-opacity))
}

.focus\:placeholder-gray-900:focus:-ms-input-placeholder {
  --tw-placeholder-opacity: 1;
  color: rgba(17, 24, 39, var(--tw-placeholder-opacity))
}

.focus\:placeholder-gray-900:focus::placeholder {
  --tw-placeholder-opacity: 1;
  color: rgba(17, 24, 39, var(--tw-placeholder-opacity))
}

.pointer-events-none {
  pointer-events: none
}

.fixed {
  position: fixed
}

.absolute {
  position: absolute
}

.relative {
  position: relative
}

.sticky {
  position: -webkit-sticky;
  position: sticky
}

.inset-0 {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0
}

.inset-x-0 {
  right: 0;
  left: 0
}

.top-0 {
  top: 0
}

.left-3 {
  left: .75rem
}

.top-4 {
  top: 1rem
}

.right-4 {
  right: 1rem
}

.top-20 {
  top: 5rem
}

.right-20 {
  right: 5rem
}

* {
  --tw-shadow: 0 0 #0000
}

* {
  --tw-ring-inset: var(--tw-empty,
      /*!*/
      /*!*/
    );
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgba(59, 130, 246, 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000
}

.focus\:ring-2:focus {
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000)
}

.fill-current {
  fill: currentColor
}

.text-center {
  text-align: center
}

.text-gray-100 {
  --tw-text-opacity: 1;
  color: rgba(243, 244, 246, var(--tw-text-opacity))
}

.text-gray-300 {
  --tw-text-opacity: 1;
  color: rgba(209, 213, 219, var(--tw-text-opacity))
}

.text-gray-400 {
  --tw-text-opacity: 1;
  color: rgba(156, 163, 175, var(--tw-text-opacity))
}

.text-gray-500 {
  --tw-text-opacity: 1;
  color: rgba(107, 114, 128, var(--tw-text-opacity))
}

.text-gray-600 {
  --tw-text-opacity: 1;
  color: rgba(75, 85, 99, var(--tw-text-opacity))
}

.text-gray-700 {
  --tw-text-opacity: 1;
  color: rgba(55, 65, 81, var(--tw-text-opacity))
}

.text-gray-800 {
  --tw-text-opacity: 1;
  color: rgba(31, 41, 55, var(--tw-text-opacity))
}

.text-gray-900 {
  --tw-text-opacity: 1;
  color: rgba(17, 24, 39, var(--tw-text-opacity))
}

.text-primary {
  --tw-text-opacity: 1;
  color: rgba(38, 81, 212, var(--tw-text-opacity))
}

.hover\:text-gray-700:hover {
  --tw-text-opacity: 1;
  color: rgba(55, 65, 81, var(--tw-text-opacity))
}

.hover\:text-gray-800:hover {
  --tw-text-opacity: 1;
  color: rgba(31, 41, 55, var(--tw-text-opacity))
}

.hover\:text-gray-900:hover {
  --tw-text-opacity: 1;
  color: rgba(17, 24, 39, var(--tw-text-opacity))
}

.truncate {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap
}

.uppercase {
  text-transform: uppercase
}

.underline {
  text-decoration: underline
}

.no-underline {
  text-decoration: none
}

.hover\:no-underline:hover {
  text-decoration: none
}

.antialiased {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale
}

.tracking-wide {
  letter-spacing: .025em
}

.select-none {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none
}

.w-4 {
  width: 1rem
}

.w-5 {
  width: 1.25rem
}

.w-6 {
  width: 1.5rem
}

.w-12 {
  width: 3rem
}

.w-20 {
  width: 5rem
}

.w-96 {
  width: 24rem
}

.w-auto {
  width: auto
}

.w-full {
  width: 100%
}

.w-screen {
  width: 100vw
}

.w-7\/8 {
  width: 87.5%
}

.focus\:w-full:focus {
  width: 100%
}

.z-0 {
  z-index: 0
}

.z-10 {
  z-index: 10
}

.z-30 {
  z-index: 30
}

.z-50 {
  z-index: 50
}

.gap-3 {
  gap: .75rem
}

.gap-6 {
  gap: 1.5rem
}

.grid-cols-1 {
  grid-template-columns: repeat(1, minmax(0, 1fr))
}

.grid-rows-1 {
  grid-template-rows: repeat(1, minmax(0, 1fr))
}

.grid-rows-2 {
  grid-template-rows: repeat(2, minmax(0, 1fr))
}

.grid-rows-3 {
  grid-template-rows: repeat(3, minmax(0, 1fr))
}

.grid-rows-4 {
  grid-template-rows: repeat(4, minmax(0, 1fr))
}

.grid-rows-5 {
  grid-template-rows: repeat(5, minmax(0, 1fr))
}

.grid-rows-6 {
  grid-template-rows: repeat(6, minmax(0, 1fr))
}

@keyframes spin {
  to {
    transform: rotate(360deg)
  }
}

@keyframes ping {

  75%,
  100% {
    transform: scale(2);
    opacity: 0
  }
}

@keyframes pulse {
  50% {
    opacity: .5
  }
}

@keyframes bounce {

  0%,
  100% {
    transform: translateY(-25%);
    -webkit-animation-timing-function: cubic-bezier(0.8, 0, 1, 1);
    animation-timing-function: cubic-bezier(0.8, 0, 1, 1)
  }

  50% {
    transform: none;
    -webkit-animation-timing-function: cubic-bezier(0, 0, 0.2, 1);
    animation-timing-function: cubic-bezier(0, 0, 0.2, 1)
  }
}

@media(min-width:40rem) {
  .sm\:flex-row {
    flex-direction: row
  }

  .sm\:items-center {
    align-items: center
  }

  .sm\:mb-0 {
    margin-bottom: 0
  }

  .sm\:px-6 {
    padding-left: 1.5rem;
    padding-right: 1.5rem
  }

  .sm\:pl-4 {
    padding-left: 1rem
  }

  .sm\:w-1\/3 {
    width: 33.333333%
  }

  .sm\:w-1\/4 {
    width: 25%
  }

  .sm\:gap-x-8 {
    -moz-column-gap: 2rem;
    column-gap: 2rem
  }

  .sm\:grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

@media(min-width:48rem) {
  .md\:flex-row {
    flex-direction: row
  }

  .md\:h-80 {
    height: 20rem
  }

  .md\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem
  }

  .md\:mt-0 {
    margin-top: 0
  }

  .md\:mb-4 {
    margin-bottom: 1rem
  }

  .md\:top-20 {
    top: 5rem
  }
}

@media(min-width:64rem) {
  .lg\:prose-lg h1 {
    font-size: 2.25rem
  }

  .lg\:border-0 {
    border-width: 0
  }

  .lg\:border-b-0 {
    border-bottom-width: 0
  }

  .lg\:block {
    display: block
  }

  .lg\:flex {
    display: flex
  }

  .lg\:hidden {
    display: none
  }

  .lg\:flex-row {
    flex-direction: row
  }

  .lg\:justify-start {
    justify-content: flex-start
  }

  .lg\:justify-between {
    justify-content: space-between
  }

  .lg\:order-last {
    order: 9999
  }

  .lg\:h-8 {
    height: 2rem
  }

  .lg\:h-auto {
    height: auto
  }

  .lg\:text-xs {
    font-size: .75rem;
    line-height: 1rem
  }

  .lg\:text-sm {
    font-size: .875rem;
    line-height: 1.25rem
  }

  .lg\:text-base {
    font-size: 1rem;
    line-height: 1.5rem
  }

  .lg\:text-lg {
    font-size: 1.125rem;
    line-height: 1.75rem
  }

  .lg\:ml-0 {
    margin-left: 0
  }

  .lg\:max-h-full {
    max-height: 100%
  }

  .lg\:max-w-96 {
    max-width: 24rem
  }

  .lg\:max-w-4xl {
    max-width: 50rem
  }

  .lg\:min-h-8 {
    min-height: 2rem
  }

  .lg\:overflow-visible {
    overflow: visible
  }

  .lg\:py-1 {
    padding-top: .25rem;
    padding-bottom: .25rem
  }

  .lg\:px-5 {
    padding-left: 1.25rem;
    padding-right: 1.25rem
  }

  .lg\:pt-0 {
    padding-top: 0
  }

  .lg\:pt-px {
    padding-top: 1px
  }

  .lg\:static {
    position: static
  }

  .lg\:relative {
    position: relative
  }

  .lg\:sticky {
    position: -webkit-sticky;
    position: sticky
  }

  .lg\:top-0 {
    top: 0
  }

  .lg\:right-auto {
    right: auto
  }

  .lg\:w-72 {
    width: 18rem
  }

  .lg\:w-1\/2 {
    width: 50%
  }

  .lg\:w-1\/4 {
    width: 25%
  }

  .lg\:w-full {
    width: 100%
  }
}

@media(min-width:80rem) {
  .xl\:block {
    display: block
  }

  .xl\:hidden {
    display: none
  }

  .xl\:h-auto {
    height: auto
  }

  .xl\:-mt-12 {
    margin-top: -3rem
  }

  .xl\:px-8 {
    padding-left: 2rem;
    padding-right: 2rem
  }

  .xl\:pt-16 {
    padding-top: 4rem
  }

  .xl\:pt-32 {
    padding-top: 8rem
  }

  .xl\:sticky {
    position: -webkit-sticky;
    position: sticky
  }

  .xl\:top-0 {
    top: 0
  }

  .xl\:w-1\/4 {
    width: 25%
  }

  .xl\:w-1\/5 {
    width: 20%
  }

  .xl\:grid-cols-1 {
    grid-template-columns: repeat(1, minmax(0, 1fr))
  }
}

@media(min-width:90rem) {
  .\32xl\:max-w-96 {
    max-width: 24rem
  }
}

@media(min-width:27.5rem) {
  .xs\:pl-12 {
    padding-left: 3rem
  }

  .xs\:placeholder-gray-900::-moz-placeholder {
    --tw-placeholder-opacity: 1;
    color: rgba(17, 24, 39, var(--tw-placeholder-opacity))
  }

  .xs\:placeholder-gray-900:-ms-input-placeholder {
    --tw-placeholder-opacity: 1;
    color: rgba(17, 24, 39, var(--tw-placeholder-opacity))
  }

  .xs\:placeholder-gray-900::placeholder {
    --tw-placeholder-opacity: 1;
    color: rgba(17, 24, 39, var(--tw-placeholder-opacity))
  }

  .xs\:w-40 {
    width: 10rem
  }

  .xs\:w-full {
    width: 100%
  }

  .xs\:grid-cols-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

@media print {
  .print\:prose {
    color: #4b5563
  }

  .print\:prose strong {
    font-weight: 700
  }

  .print\:prose h1 {
    font-weight: 400;
    font-size: 1.875rem;
    color: #111827;
    margin-bottom: .5rem
  }

  .print\:prose h2 {
    font-weight: 400
  }

  .print\:prose p {
    color: #4b5563;
    line-height: 1.75
  }

  .print\:hidden {
    display: none
  }

  .print\:float-left {
    float: left
  }

  .print\:clear-left {
    clear: left
  }

  .print\:text-3xl {
    font-size: 1.875rem;
    line-height: 2.25rem
  }

  .print\:mt-0 {
    margin-top: 0
  }

  .print\:mb-0 {
    margin-bottom: 0
  }

  .print\:mt-2 {
    margin-top: .5rem
  }

  .print\:mt-4 {
    margin-top: 1rem
  }

  .print\:mr-6 {
    margin-right: 1.5rem
  }

  .print\:py-4 {
    padding-top: 1rem;
    padding-bottom: 1rem
  }

  .print\:pb-3 {
    padding-bottom: .75rem
  }

  .print\:absolute {
    position: absolute
  }
}
